from distutils.core import setup


setup(
    name = 'ChemSpaceAL',
    packages = ['ChemSpaceAL'],
    version = '1.0.2',
    description = 'ChemSpaceAL Python package: an efficient active learning methodology applied to protein-specific molecular generation',
    install_requires=[
    'appdirs==1.4.4',
    'asttokens==2.4.0',
    'attrs==23.1.0',
    'backcall==0.2.0',
    'biopython==1.81',
    'certifi==2023.7.22',
    'charset-normalizer==3.2.0',
    'click==8.1.7',
    'colorama==0.4.6',
    'comm==0.1.4',
    'contourpy==1.1.1',
    'cycler==0.11.0',
    'debugpy==1.7.0',
    'decorator==5.1.1',
    'dill==0.3.7',
    'docker-pycreds==0.4.0',
    'et-xmlfile==1.1.0',
    'executing==1.2.0',
    'fasteners==0.19',
    'fastjsonschema==2.18.0',
    'filelock==3.12.3',
    'fonttools==4.42.1',
    'gitdb==4.0.10',
    'GitPython==3.1.36',
    'GridDataFormats==1.0.1',
    'idna==3.4',
    'ipykernel==6.25.2',
    'ipython==8.15.0',
    'jedi==0.19.0',
    'Jinja2==3.1.2',
    'joblib==1.3.2',
    'jsonschema==4.19.1',
    'jsonschema-specifications==2023.7.1',
    'jupyter_client==8.3.1',
    'jupyter_core==5.3.1',
    'kiwisolver==1.4.5',
    'MarkupSafe==2.1.3',
    'matplotlib==3.8.0',
    'matplotlib-inline==0.1.6',
    'MDAnalysis==2.6.1',
    'mmtf-python==1.1.3',
    'mpmath==1.3.0',
    'mrcfile==1.4.3',
    'msgpack==1.0.6',
    'multiprocess==0.70.15',
    'nbformat==5.9.2',
    'nest-asyncio==1.5.7',
    'networkx==3.1',
    'numpy==1.25.2',
    'openpyxl==3.1.2',
    'packaging==23.1',
    'pandas==1.5.3',
    'parso==0.8.3',
    'pathtools==0.1.2',
    'pickleshare==0.7.5',
    'Pillow==10.0.0',
    'platformdirs==3.10.0',
    'plotly==5.17.0',
    'prolif==2.0.0.post1',
    'prompt-toolkit==3.0.39',
    'protobuf==4.24.3',
    'psutil==5.9.5',
    'pure-eval==0.2.2',
    'Pygments==2.16.1',
    'pyparsing==3.1.1',
    'python-dateutil==2.8.2',
    'pytz==2023.3.post1',
    'pywin32==306',
    'PyYAML==6.0.1',
    'pyzmq==25.1.1',
    'rdkit==2023.3.3',
    'referencing==0.30.2',
    'requests==2.31.0',
    'rpds-py==0.10.3',
    'scikit-learn==1.3.0',
    'scipy==1.11.2',
    'sentry-sdk==1.30.0',
    'setproctitle==1.3.2',
    'six==1.16.0',
    'sklearn==0.0.post9',
    'smmap==5.0.0',
    'stack-data==0.6.2',
    'sympy==1.12',
    'tenacity==8.2.3',
    'threadpoolctl==3.2.0',
    'torch==2.0.1+cu118',
    'torchaudio==2.0.2+cu118',
    'torchvision==0.15.2+cu118',
    'tornado==6.3.3',
    'tqdm==4.66.1',
    'traitlets==5.9.0',
    'typing_extensions==4.7.1',
    'urllib3==2.0.4',
    'wandb==0.15.10',
    'wcwidth==0.2.6'
    ],
    author = 'Gregory W. Kyro, Anton Morgunov & Rafael I. Brent',
    author_email = 'gregory.kyro@yale.edu',
    url = 'https://github.com/gregory-kyro/ChemSpaceAL/tree/main',
    download_url = 'https://github.com/gregory-kyro/ChemSpaceAL/archive/refs/tags/v1.0.2.tar.gz',
    keywords = ['active learning', 'artificial intelligence', 'deep learning', 'machine learning', 'molecular generation', 'drug discovery'],
    classifiers = []
)
